#ifndef __CONFIG_H
#define __CONFIG_H

#include <stdint.h>


#define HAS_PWM1
//#define HAS_PWM2
//#define HAS_MOTOR1
//#define HAS_MOTOR2
#define HAS_MOTOR3
//#define HAS_MOTOR4


#define PWM_MAX_NUMBER      2
#define MOTOR_MAX_NUMBER    4

typedef struct Motors{
  uint8_t *currentValue;
  uint8_t limitValue;
  uint8_t dir;
  uint8_t left;
  uint8_t right;
  uint8_t stop;
} Motor;

typedef struct Pwms{
  uint8_t *currentValue;
  uint8_t prevValue;
  void (*pwmCompareUpdateCallback)(uint16_t val);
} Pwm;

#ifdef HAS_PWM1
Pwm pwm1;
#endif

#ifdef HAS_PWM1
Pwm pwm2;
#endif

#ifdef HAS_MOTOR1
Motor motor1;
#endif

#ifdef HAS_MOTOR2
Motor motor2;
#endif

#ifdef HAS_MOTOR3
Motor motor3;
#endif

#ifdef HAS_MOTOR4
Motor motor4;
#endif

#endif
