#ifndef _GLOBAL_H_
#define _GLOBAL_H_

#include <stdint.h>

#define clrb(PORT, PIN) PORT &= ~(1 << PIN)
#define setb(PORT, PIN) PORT |= (1 << PIN)
#define isset(reg, bit) (reg & (1 << bit))
#define inv(val) (255-val)

#define LED_PORT        PORTC
#define PWM_PORT        PORTD
#define MOTOR_PORT      PORTA

#define DDR_MOTOR       DDRA
#define DDR_SPI         DDRB
#define DDR_CE          DDRB
#define PORT_SPI        PORTB
#define PORT_CE         PORTB
#define DDR_IRQ         DDRD
#define PORT_IRQ        PORTD

#define CE              2
#define CSN             3
#define SCK             7
#define MISO            6
#define MOSI            5
#define IRQ             2

#define PWM1            4
#define PWM2            5

#define Man1X           0
#define Man1Y           1
#define Man2X           2
#define Man2Y           3

#define LED0            0
#define LED1            1
#define LED2            6
#define LED3            7

#define PAYLOAD_LEN     4

#endif /* _GLOBAL_H_ */
