#include "motors.h"

void countLimit(Motor **listOfMotors, uint8_t numberOfMotors)
{
  volatile uint8_t potentiometer;

  for(int i = 0; i < numberOfMotors; ++i) {
    potentiometer = *listOfMotors[i]->currentValue;

    if(potentiometer > 128) {
      if(potentiometer < (128+DEATH_ZONE)) {
        listOfMotors[i]->limitValue = 0;
        listOfMotors[i]->dir = 0;
      }
      else {
        listOfMotors[i]->limitValue = potentiometer - 128;
        listOfMotors[i]->dir = listOfMotors[i]->left;
      }
    }

    else {
      if(potentiometer > (128-DEATH_ZONE)) {
        listOfMotors[i]->limitValue = 0;
        listOfMotors[i]->dir = 0;
      }
      else {
        listOfMotors[i]->limitValue = 128 - potentiometer;
        listOfMotors[i]->dir = listOfMotors[i]->right;
      }
    }
  }
}
